Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357560 - Heketi-cli need to create PVs using Retain policy, not Recycle policy
Summary: Heketi-cli need to create PVs using Retain policy, not Recycle policy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS Container Converged 1.0
Assignee: Luis Pabón
QA Contact: Neha
URL:
Whiteboard:
Depends On:
Blocks: 1332128
TreeView+ depends on / blocked
 
Reported: 2016-07-18 13:53 UTC by Luis Pabón
Modified: 2016-11-08 22:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 04:52:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1498 normal SHIPPED_LIVE heketi update for Red Hat Gluster Storage 3.1 2016-08-04 08:49:19 UTC
Github heketi heketi issues 428 None None None 2016-07-18 14:02:10 UTC

Description Luis Pabón 2016-07-18 13:53:32 UTC
Description of problem:
Heketi-cli is currently using RECYCLE (see [1]).  I will create a bug to change it to RETAIN [2]

[1] https://github.com/heketi/heketi/blob/master/pkg/kubernetes/pv.go#L34
[2] https://github.com/kubernetes/kubernetes/blob/master/pkg/api/v1/types.go#L402

Comment 2 Luis Pabón 2016-07-18 14:00:57 UTC
https://github.com/heketi/heketi/issues/428

Comment 6 Neha 2016-07-25 12:48:39 UTC
PV json file with latest build:

 cat pv1.json 
{
  "kind": "PersistentVolume",
  "apiVersion": "v1",
  "metadata": {
    "name": "glusterfs-d2a1a246",
    "creationTimestamp": null
  },
  "spec": {
    "capacity": {
      "storage": "10Gi"
    },
    "glusterfs": {
      "endpoints": "glusterfs-cluster3",
      "path": "vol_d2a1a2468400d23d5ab1bf8cf9e371c5"
    },
    "accessModes": [
      "ReadWriteMany"
    ],
    "persistentVolumeReclaimPolicy": "Retain"
  },
  "status": {}
}


persistentVolumeReclaimPolicy is Retain. Moving it to verified.

Comment 8 errata-xmlrpc 2016-08-04 04:52:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1498.html


Note You need to log in before you can comment on or make changes to this bug.